## ros-indigo-robot-web-tools 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robot_web_tools)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

#############
## Install ##
#############

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-indigo-robot-web-tools (0.0.3-0trusty) trusty; urgency=high

  * changes to new video server dep
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 30 Oct 2014 04:00:00 -0000

ros-indigo-robot-web-tools (0.0.2-0trusty) trusty; urgency=high

  * updated deps for non-meta package dep
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 21 Oct 2014 04:00:00 -0000

ros-indigo-robot-web-tools (0.0.1-0trusty) trusty; urgency=high

  * launch files added
  * initial READMEs and such
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 20 Aug 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-robot-web-tools
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/robot_web_tools
Standards-Version: 3.9.2

Package: ros-indigo-robot-web-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-depthcloud-encoder, ros-indigo-interactive-marker-proxy, ros-indigo-rosbridge-server, ros-indigo-tf2-web-republisher, ros-indigo-web-video-server
Description: Robot Web Tools Metapackage and Top Level Launch Files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-robot-web-tools//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
